libzypp: zypp/sat/Solvable.h File Reference

libzypp 17.38.11

Solvable.h File Reference
`#include <iosfwd>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/sat/SolvAttr.h>`
`#include <zypp/ResTraits.h>`
`#include <zypp/IdString.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Arch.h>`
`#include <zypp/Dep.h>`
`#include <zypp/Capabilities.h>`
`#include <zypp/Capability.h>`
`#include <zypp/Locale.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::Solvable
| A Solvable object within the sat Pool. More...
class | zypp::sat::Solvable::SplitIdent
| Helper that splits an identifier into kind and name or vice versa. More...
class | zypp::sat::detail::SolvableIterator
| Iterate over valid Solvables in the pool. More...
struct | zypp::sat::asSolvable
| To Solvable transform functor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface
namespace | zypp::sat::detail

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Solvable &obj) ZYPP_API
| relates: Solvable Stream output
std::ostream & | zypp::sat::dumpOn (std::ostream &str, const Solvable &obj) ZYPP_API
| relates: Solvable More verbose stream output including dependencies
std::ostream & | zypp::sat::dumpAsXmlOn (std::ostream &str, const Solvable &obj) ZYPP_API
| relates: Solvable XML output
bool | zypp::sat::operator== (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable
bool | zypp::sat::operator!= (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable
bool | zypp::sat::operator< (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable
template<class TRes>
bool | zypp::sat::isKind (const Solvable &solvable_r)
| relates: Solvable Test whether a Solvable is of a certain Kind.
bool | zypp::sat::identical (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Test for same content.
bool | zypp::sat::sameNVRA (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Test for same name version release and arch.
int | zypp::sat::compareByN (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Compare according to kind and name.
int | zypp::sat::compareByNVR (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Compare according to kind, name and edition.
int | zypp::sat::compareByNVRA (const Solvable &lhs, const Solvable &rhs)
| relates: Solvable Compare according to kind, name, edition and arch.
| ZYPP_DEFINE_ID_HASHABLE (::zypp::sat::Solvable)

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zypp::sat::Solvable |  | ) |